Subject: Flooding Procedure

From: Naveen Tyagi <[email-masked]>
Date: Sun, 10 Aug 2003 15:42:06 -0400

Hi,
I am new to ospf.
This question has been asked earlier and replied by Mr. Moy. But I could not
understand the description.

   I fail to understand how "RFC2328 section 13 point no 6" is en error
case?

 Here is the response From Mr Moy.
***********************************************************
 Date:         Fri, 23 Oct 1998 15:09:31 -0400
Reply-To:     Mailing List <[email-masked]>
Sender:       Mailing List <[email-masked]>
From:         "John T. Moy" <[email-masked]>
Organization: Cascade Communications Corp.
Subject:      Re: Flooding Procedure
Comments: To: SS Pillai <[email-masked]>
Content-Type: text/plain; charset=us-ascii

It's an error because, if the Database Exchange procedure
were working properly, the LSA on the request list should
have been removed in step 5c of that same section, instead
of reaching step 6.

John

SS Pillai wrote:

> Subject: Flooding Procedure
> Date: Sun, 18 Oct 1998 21:08:44 +0530
> From: SS Pillai <[email-masked]>
> To: [email-masked]
>
> Hi,
>         In RFC2328 section 13 page no 145 point no 6, it is mentioned
>         that "if there is an instance of the LSA on sending neighbor's
>         Link state request list, an error has occured ...."
>
>         while we are sending LS Request, the neighbor will respond
>         in LS Update packet.  So there will be an request list
>         in our database. How it can be an error?.
>
>         I think I not understood properly. Can any one clear my doupt?
> Thanks
> pillai

******************************************************************

 Section 5c is about deleting LSA from retansmission list and not from the
request list.
Thanks,
Naveen.

---

From: Acee Lindem <[email-masked]>
Date: Tue, 12 Aug 2003 23:01:25 -0400

>    I fail to understand how "RFC2328 section 13 point no 6" is en error

Hi Naveen,

Actually, I think John meant 5 (b). When the LSA is flooded out a subset
of the router's interfaces the LSA will be removed from LS request lists as
specified in 3.3 (1)(b).

Thanks,
Acee

--
Acee